Subject: New platforms

From: Brian Murphy <[email-masked]>
Date: Wed, 29 May 2002 12:17:17 +0200

Hi,
    I have a port of linux-mips to the Lasat (later Eicon) platform(s) -
based on vr4300, vr5000 and vr4120 chips. I would very much like
to have the code incorporated in the CVS at OSS. How do I go
about this?

/Brian

---

From: Karsten Merker <[email-masked]>
Date: Wed, 29 May 2002 21:46:59 +0200

> to have the code incorporated in the CVS at OSS. How do I go

Usually by splitting your patches into small chunks (one patch for
one feature) and submitting them to Ralf Baechle ([email-masked]) and/or 
to this list.

Regards,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.

---

From: James Simmons <[email-masked]>
Date: Wed, 29 May 2002 13:16:53 -0700 (PDT)

> to have the code incorporated in the CVS at OSS. How do I go

Please at a look at the Linux MIPS project at sourceforge. We already have
several VR chipsets supported. 

http://linux-mips.sf.net

---

From: Florian Lohoff <[email-masked]>
Date: Thu, 30 May 2002 11:42:56 +0200

> several VR chipsets supported. 

The Eicons are not anything really embedded rather than Cobalt RaQ like.

Flo
PS: I dont like this split up tree - Currently Ralf is the one 
feeding mainstream so please stop this diversification of the trees
as the normal user gets completely confused which makes linux mips
a VERY BAD target and does not help any popularity for the mips targets.
We had the linux-vr desaster before which helped nothing but in
the end bound developer efforts which were useless in the end.
-- 
Florian Lohoff                  [email-masked]             +49-5201-669912
                        Heisenberg may have been here.

---

From: James Simmons <[email-masked]>
Date: Thu, 30 May 2002 15:16:10 -0700 (PDT)

> the end bound developer efforts which were useless in the end.

True. The problem is the slow migration to Linus tree and the slow
migration into the OSS tree. Here is a suggestion, how about using the BK
tree at bkbits.net. There is a mips tree there but it has never been used. 
The question is who is the admin of that tree so we can have access ?

---

From: Ilya <[email-masked]>
Date: Thu, 30 May 2002 15:34:26 -0700 (PDT)

On Thu, 30 May 2002, James Simmons wrote:
> migration into the OSS tree.
You can always pos your patches to the list, and whatever didn't make it
into the tree, can be picked up from there by interested parties.

> Here is a suggestion, how about using the BK
Are you saing "let's make yet another tree"? Ugh...

---

From: Florian Lohoff <[email-masked]>
Date: Fri, 31 May 2002 11:16:06 +0200

On Thu, May 30, 2002 at 03:16:10PM -0700, James Simmons wrote:
> tree at bkbits.net. There is a mips tree there but it has never been used.. 

Bitkeeper is evil non free software i will hopfully never be required
to use.

If the migration is to slow help Ralf - Ralf is handing out CVS access
to those he trusts developing in the correct direction. I also think
that there are ways to split up feeding back the stuff. Generating
one another tree wont help a lot.

Flo

---

From: James Simmons <[email-masked]>
Date: Fri, 31 May 2002 12:17:41 -0700 (PDT)

> into the tree, can be picked up from there by interested parties.

Now that I have time I plan to do that.

> Are you saing "let's make yet another tree"? Ugh...

No. I'm talking about having a BK tree to use to sync up to Linus with.
This way the OSS and SF tree and push into the BK tree and have no issues.